Supported platforms

Core-Admin server platform support

The following is the list of currently supported platforms to install Core-Admin server, which is the core component of all Core-Admin Editions.

Core-Admin server support matrix

To use Core-Admin you need a Core-Admin server to connect to and where to join Core-Admin Agents. To that end, Core-Admin server supported system is key to know if you can install Core-Admin.

It is your system not supported? Please, let us to know that so we can consider moving faster towards that platform.

Distribution Version Arch Status
Debian Jessie 8.X amd64 (64bits)
Ubuntu Xenial Xerus 16.04 LTS amd64 (64bits)
Raspbian Wheezy 7.X armhf armv7l
CentOS 6.X amd64 (64bits)
Ubuntu Precise Pangolin 12.04.3 LTS amd64 (64bits)
Debian Wheezy 7.0 amd64 (64bits)
Debian Squeeze 6.0 i686 (32bits)
Debian Squeeze 6.0 amd64 (64bits)
Debian Lenny 5.0 i686 (32bits)
Debian Lenny 5.0 amd64 (64bits)

Supported software and versions available on each supported platform

The following is the list of available versions of each core service component used by Core-Admin. It can serve as a reference and as a guide to select the appropriate distribution in case you are looking for a particular version.

Distribution MySQL Apache2 PHP PowerDNS Postfix
Debian Jessie 8.X 5.5.43 2.4.10 Default: 5.6.20
Provided by Core-Admin:
5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1
3.4.1 2.11
Ubuntu Xenial Xerus 16.04 LTS 5.7.12 2.4.18 Default: 7.0.4
Provided by Core-Admin:
5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1
4.0.0 3.1.0
Raspbian Wheezy 7.X 5.5.47 2.2.22 Default: 5.4.45
Provided by Core-Admin:
5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1
3.1 2.9.6
CentOS 6.X 5.1.73 2.2.15 Default: 5.3
Provided by Core-Admin:
5.2, 5.3, 5.4, 5.5, 5.6, 7.0
3.3.3 2.6.6
Ubuntu Precise Pangolin 12.04.3 LTS 5.5.49 2.2.22 Default: 5.3.10
Provided by Core-Admin:
5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1
3.0 2.9.6
Debian Wheezy 7.0 5.5.31 2.2.22 Default: 5.4.45
Provided by Core-Admin:
5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1
3.1 2.9.6
Debian Squeeze 6.0 5.1.72 2.2.16 Default: 5.3.3
Provided by Core-Admin:
5.2, 5.3, 5.4, 5.5, 5.6, 7.0
2.9.22 2.7.1
Debian Lenny 5.0 5.0.51a 2.2.9 Default: 5.2.6
PProvided by Core-Admin:
5.2, 5.3, 5.4, 5.5, 5.6,7.0
2.9.21 2.5.5